import 'dart:io';

import 'package:flutter/foundation.dart';

class BuildConfig {
  BuildConfig._();

  static bool get isDebug => kDebugMode;
}


final class UmengConfig {
  UmengConfig._();

  //友盟统计配置
  static const _umengAndroidAppKey = "66b07216cac2a664de82d222";
  static const _umengIosAppKey = "66b07337cac2a664de82d457";

  static String get umengAppKey {
    if (Platform.isAndroid) {
      return _umengAndroidAppKey;
    } else if (Platform.isIOS) {
      return _umengIosAppKey;
    } else {
      return '';
    }
  }
}

final class GravityConfig {
  GravityConfig._();
  //引力引擎配置
  static const _gravityAndroidAppId = "24753190";
  static const _gravityIosAppId = "29235674";
  static const _gravityAndroidAccessToken = "kqrXSfRQFz5ksKLaGoJx7hbfzvul3cte";
  static const _gravityIosAccessToken = "ot67ubSa2jInhgrbhuppxwCKsNnejUid";

  static String get gravityAppId {
    if (Platform.isAndroid) {
      return _gravityAndroidAppId;
    } else if (Platform.isIOS) {
      return _gravityIosAppId;
    } else {
      return '';
    }
  }

  static String get gravityAccessToken {
    if (Platform.isAndroid) {
      return _gravityAndroidAccessToken;
    } else if (Platform.isIOS) {
      return _gravityIosAccessToken;
    } else {
      return '';
    }
  }
}
